﻿//© AntWorks.su -- antworks@gmail.com

function parseURL(url) 
{ 
   var loc = { 'href' : url }; 
   var parts = url.replace('//', '/').split('/'); 
    loc.protocol = parts[0]; 
    loc.host = parts[1]; 
    parts[1] = parts[1].split(':'); 
    loc.hostname = parts[1][0]; 
    return loc.hostname; 
} 

function StatOnClick(info, tab) {
  chrome.tabs.create({url:"http://2ip.ru/site-statistics/?domain="+parseURL(tab.url)}); 
}

function AnalizOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/analizator/?url="+parseURL(tab.url)}); 
}

function DomenInfoOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/whois/?ip="+parseURL(tab.url)}); 
}

function DomensOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/domain-list-by-email/"+parseURL(tab.url)}); 
}

function SitesOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/domain-list-by-ip/?domain="+parseURL(tab.url)}); 
}

function CMSOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/cms/?url="+parseURL(tab.url)}); 
}

function HostingOnClick(info, tab) {
  chrome.tabs.create({url: "http://2ip.ru/guess-hosting/?domain="+parseURL(tab.url)}); 
}

// Create 'page' menu items
  chrome.contextMenus.create({"title": "Статистика сайта",  "contexts":["page"],"onclick": StatOnClick});
  chrome.contextMenus.create({"title": "Анализ сайта",  "contexts":["page"],"onclick": AnalizOnClick});
  chrome.contextMenus.create({"title": "Информация о домене",  "contexts":["page"],"onclick": DomenInfoOnClick});
  chrome.contextMenus.create({"title": "Домены владельца",  "contexts":["page"],"onclick": DomensOnClick});
  chrome.contextMenus.create({"title": "Сайтов на сервере",  "contexts":["page"],"onclick": SitesOnClick});
  chrome.contextMenus.create({"title": "CMS сайта",  "contexts":["page"],"onclick": CMSOnClick});
  chrome.contextMenus.create({"title": "Хостинг сайта",  "contexts":["page"],"onclick": HostingOnClick});



