﻿//© AntWorks.su -- antworks@gmail.com

function showBlock(el, but){
		document.getElementById(el).style.display = 'block';
		document.getElementById(but).className = 'active';
	}
	
function hideBlock(el, but){
		document.getElementById(el).style.display = 'none';
		document.getElementById(but).className = '';
	}	

function parseURL(url) 
   {    
   var loc = { 'href' : url }; 
   var parts = url.replace('//', '/').split('/'); 
    loc.protocol = parts[0]; 
    loc.host = parts[1]; 
    parts[1] = parts[1].split(':'); 
    loc.hostname = parts[1][0]; 
    return loc.hostname; 
    } 

function changeBookmark(id)
	{
		divArray = document.getElementById('menuContainer').getElementsByTagName('ul');
		
		for (i = 0; i < divArray.length; i++)
			if (divArray[i].className == 'nav')
				hideBlock(divArray[i].id, divArray[i].id + 'Selector');
		
		showBlock(id, id + 'Selector');
	}


 function Go2IP(adr, host){
    chrome.tabs.getSelected(null, function(tab) {
	if (host){
	chrome.tabs.create({url:adr+parseURL(tab.url)})
	} else
	{
	chrome.tabs.create({url:adr})
	};
    });
  }

function liClick(e){ 
switch(e.currentTarget.id) {
  case 'classMenuSelector': { changeBookmark('classMenu'); break;}
  case 'serviceMenuSelector': { changeBookmark('serviceMenu'); break;}
  case 'funMenuSelector': { changeBookmark('funMenu'); break;}
  case 'speed': { Go2IP('http://2ip.ru/speed/', false); break;}
  case 'speednew': { Go2IP('http://2ip.ru/speednew/', false); break;}
  case 'timecalc': { Go2IP('http://2ip.ru/time-calc/', false); break;}
  case 'sizecalc': { Go2IP('http://2ip.ru/size-calc/', false); break;}
  case 'whois': { Go2IP('http://2ip.ru/whois/?ip=', true); break;}
  case 'lookup': { Go2IP('http://2ip.ru/lookup/', false); break;}
  case 'ping': { Go2IP('http://2ip.ru/ping/', false); break;}
  case 'cms': { Go2IP('http://2ip.ru/cms/?url=', true); break;}
  case 'guesshosting': { Go2IP('http://2ip.ru/guess-hosting/?domain=', true); break;}
  case 'distance': { Go2IP('http://2ip.ru/distance/', false); break;}
  case 'analizator': { Go2IP('http://2ip.ru/analizator/?url=', true); break;}
  case 'domainlistbyip': { Go2IP('http://2ip.ru/domain-list-by-ip/?domain=', true); break;}
  case 'domainlistbyemail': { Go2IP('http://2ip.ru/domain-list-by-email/', true); break;}
  case 'siteavailability': { Go2IP('http://2ip.ru/site-availability/', false); break;}
  case 'sitestatistics': { Go2IP('http://2ip.ru/site-statistics/?domain=', true); break;}
  case 'spam': { Go2IP('http://2ip.ru/spam/', false); break;}
  case 'mailchecker': { Go2IP('http://2ip.ru/mail-checker/', false); break;}
  case 'portscaner': { Go2IP('http://2ip.ru/port-scaner/', false); break;}
  case 'checkport': { Go2IP('http://2ip.ru/check-port/', false); break;}
  case 'antivirus': { Go2IP('http://2ip.ru/antivirus/', false); break;}
  case 'dig': { Go2IP('http://2ip.ru/dig/', false); break;}
  case 'sitevirusscaner': { Go2IP('http://2ip.ru/site-virus-scaner/', false); break;}
  case 'browserupdate': { Go2IP('http://2ip.ru/browser-update/', false); break;}
  case 'punycode': { Go2IP('http://2ip.ru/punycode/', false); break;}
  case 'serverresponse': { Go2IP('http://2ip.ru/server-response/', false); break;}
  case 'domainchecker': { Go2IP('http://2ip.ru/domain-checker/', false); break;}
  case 'knowemailip': { Go2IP('http://2ip.ru/know-email-ip/', false); break;}
  case 'anonim': { Go2IP('http://2ip.ru/anonim/', false); break;}
  case 'bar': { Go2IP('http://2ip.ru/bar/', false); break;}
  case 'start': { Go2IP('http://2ip.ru/start/', false); break;}
  case 'sbar': { Go2IP('http://2ip.ru/sbar/', false); break;}
  case 'avbar': { Go2IP('http://2ip.ru/avbar/', false); break;}
  case 'speedhp': { Go2IP('http://2ip.ru/speedhp/', false); break;}
  case 'toolbar': { Go2IP('http://2ip.ru/toolbar/', false); break;}
  case 'wdgt': { Go2IP('http://2ip.ru/wdgt/', false); break;}
  case 'spambot': { Go2IP('http://2ip.ru/spambot/', false); break;}
  case 'strangeip': { Go2IP('http://2ip.ru/strange-ip/', false); break;}
  case 'ip2color': { Go2IP('http://2ip.ru/ip2color/', false); break;}
  case 'happyip': { Go2IP('http://2ip.ru/happy-ip/', false); break;}
  case 'battle': { Go2IP('http://2ip.ru/battle/', false); break;}


}

}


document.addEventListener('DOMContentLoaded', function () {
var lis = document.querySelectorAll('li');
  for (var i = 0; i < lis.length; i++) {
    lis[i].addEventListener('click', liClick);
  }
});